# Generated by Django 4.2 on 2023-08-30 12:13

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='ClientModel',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('mail_client', models.CharField(max_length=60)),
                ('mdp_client', models.CharField(max_length=60)),
            ],
        ),
        migrations.CreateModel(
            name='PlatModel',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nom_plat', models.CharField(max_length=50)),
                ('description_plat', models.CharField(max_length=150)),
                ('prix_plat', models.FloatField()),
            ],
        ),
        migrations.CreateModel(
            name='CommandeModel',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('statut_commande', models.CharField(max_length=50)),
                ('client_commande', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='resto.clientmodel')),
                ('liste_plat', models.ManyToManyField(to='resto.platmodel')),
            ],
        ),
    ]
